Devices:
  dev0:
    Persistent:
      path: /tmp/scratch/hdd0
      plugin: gitlab.com/tromos/hub/device/filesystem
      family: memory

  dev1:
    Persistent:
      path: /tmp/scratch/hdd1
      plugin:  gitlab.com/tromos/hub/device/filesystem
      family: memory
    Translators:
        "0":
            capacity: 1B
            plugin:  gitlab.com/tromos/hub/device/throttler
            rate: 500MB
            regulate: channel

  dev2:
    Persistent:
      path: /tmp/scratch/hdd2
      plugin:  gitlab.com/tromos/hub/device/filesystem
      family: memory
    Translators:
        "0":
            blocksize: 4M
            plugin:  gitlab.com/tromos/hub/device/blob

  dev3:
    Persistent:
      path: /tmp/scratch/hdd3
      plugin: gitlab.com/tromos/hub/device/filesystem
      family: memory
    Translators:
        "0":
            capacity: 1B
            plugin:  gitlab.com/tromos/hub/device/throttler
            rate: 500MB
            regulate: channel
        "1":
            blocksize: 4M
            plugin:  gitlab.com/tromos/hub/device/blob

  dev4:
    Persistent:
      path: /tmp/scratch/hdd4
      plugin:  gitlab.com/tromos/hub/device/filesystem
      family: memory
    Proxy:
      plugin:  gitlab.com/tromos/hub/device/proxy/rpc
      timeout: 10m
      host: "127.0.0.1"
      port: 7763

  dev5:
    Persistent:
      path: /tmp/scratch/hdd5
      plugin:  gitlab.com/tromos/hub/device/filesystem
      family: memory
    Translators:
      "0":
        capacity: 1B
        plugin: gitlab.com/tromos/hub/device/throttler
        rate: 500MB
        regulate: channel
      "1":
        blocksize: 1M
        plugin: gitlab.com/tromos/hub/device/blob
    Proxy:
      plugin:  gitlab.com/tromos/hub/device/proxy/rpc
      timeout: 10m
      host: "127.0.0.1"
      port: 7764

